pqxx::internal::reactivation_avoidance_counter Class Reference

`#include <connection_base.hxx>`

## Public Member Functions

| reactivation_avoidance_counter ()
void | add (int n) throw ()
void | clear () throw ()
int | get () const throw ()

## Constructor & Destructor Documentation

## reactivation_avoidance_counter()

pqxx::internal::reactivation_avoidance_counter::reactivation_avoidance_counter | ( |  | ) |

## Member Function Documentation

## add()

void pqxx::internal::reactivation_avoidance_counter::add | ( | int | n | ) |
throw | ( |
| ) |  |

## clear()

void pqxx::internal::reactivation_avoidance_counter::clear | ( |  | ) |
throw | ( |
| ) |  |

Referenced by pqxx::transaction_base::End(), and pqxx::subtransaction::subtransaction().

## get()

int pqxx::internal::reactivation_avoidance_counter::get | ( |  | ) | const
throw | ( |
| ) |  |

References pqxx::encrypt_password().

Referenced by pqxx::connection_base::activate(), pqxx::connection_base::deactivate(), pqxx::transaction_base::End(), and pqxx::subtransaction::subtransaction().

The documentation for this class was generated from the following file:

- connection_base.hxx